Bug 207336 - Storage Controller Interface driver - typo in unimplemented macro in scic_sds_controller_registers.h
Summary: Storage Controller Interface driver - typo in unimplemented macro in scic_sds...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-scsi mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-02-19 14:57 UTC by Tony Narlock
Modified: 2019-01-21 18:10 UTC (History)
2 users (show)

See Also:


Attachments
Typo in SCU_PTSGRTC_READ (447 bytes, patch)
2016-02-19 14:57 UTC, Tony Narlock
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Narlock 2016-02-19 14:57:26 UTC
Created attachment 167177 [details]
Typo in SCU_PTSGRTC_READ

This is a typo in the SCU_PTSGRTC_READ macro.

I haven't seen any implementation cases of this functions, but advise correcting it in the mean time.
Comment 1 commit-hook freebsd_committer 2016-04-06 04:51:04 UTC
A commit references this bug:

Author: rpokala
Date: Wed Apr  6 04:50:28 UTC 2016
New revision: 297609
URL: https://svnweb.freebsd.org/changeset/base/297609

Log:
  Storage Controller Interface driver - typo in unimplemented macro in
  scic_sds_controller_registers.h

  s/contoller/controller/

  PR:		207336
  Submitted by:	Tony Narlock <tony @ git-pull.com>

Changes:
  head/sys/dev/isci/scil/scic_sds_controller_registers.h
  head/sys/net/if_lagg.c
  head/sys/net/if_lagg.h
Comment 2 Ravi Pokala 2016-04-06 05:06:20 UTC
NOTE: r297609 accidentally included unrelated changes to if_lagg.{c,h}; they were reverted in r297610.
Comment 3 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-01-21 18:10:36 UTC
There is a commit referencing this PR, but it's still not closed and has been inactive for some time. Closing the PR as fixed but feel free to re-open it if the issue hasn't been completely resolved.

Thanks